Invoice
Access registered invoices in the Amili system.
Invoice endpoints
GET /invoices- List all invoices (paginated)GET /invoices/{id}- Get a specific invoice
See Invoice Registration for creating new invoices.
Examples
For working code examples and detailed usage guides, see Invoice Flow Examples.
For complete API specification with interactive testing, see Swagger: Invoice.
Parameters
Response Properties
| Property | Type | Required | Description |
|---|---|---|---|
_id | string | Yes | Unique identifier for the invoice |
_created | string | Yes | Creation timestamp |
_updated | string | Yes | Last update timestamp |
_etag | string | Yes | Entity tag for concurrency control |
account | string | Yes | Account ID |
creditor | string | Yes | Creditor ID |
creditor_name | string | Yes | Name of the creditor |
customer | string | Yes | Customer ID |
customer_name | string | Yes | Name of the customer |
customer_id_number | string | Yes | Customer's personal ID or organization number |
customer_number | string | No | Customer's reference number |
customer_status | string | Yes | Current customer status (e.g. "initialized")* |
invoice_type | string | Yes | Type of invoice (e.g. "invoice")* |
invoice_number | string | Yes | Invoice number from creditor |
reference_number | string | No | Reference number from creditor |
payout_reference | string | No | Reference for payout tracking |
invoice_date | string | Yes | Date invoice was issued |
invoice_due_date | string | Yes | Due date for payment |
invoice_delivery_date | string | No | Date invoice was delivered |
invoice_headline | string | No | Invoice headline text |
invoice_body_text | string | No | Invoice body text |
currency | string | Yes | Currency code (currently only "SEK" supported) |
your_contact | string | No | Contact person at creditor |
your_reference | string | No | Reference from creditor |
our_reference | string | No | Reference from Amili |
debt_description | string | No | Description of the debt |
matrix | array | Yes | Array of invoice line items |
ocr_number | string | Yes | OCR number for payment reference |
case | string | Yes | Associated case ID |
case_status | string | Yes | Current case status (e.g. "invoice")* |
case_state | string | Yes | Current case state (e.g. "invoice")* |
agreement_version | string | Yes | Agreement version ID |
invoice_registration | string | Yes | Invoice registration ID |
print | string | No | Print document ID |
print_document | object | No | Print document information |
total_amount_including_vat | number | Yes | Total invoice amount including VAT |
total_amount_excluding_vat | number | Yes | Total invoice amount excluding VAT |
total_vat_25_percent | number | Yes | Total VAT amount at 25% |
total_vat_12_percent | number | Yes | Total VAT amount at 12% |
total_vat_6_percent | number | Yes | Total VAT amount at 6% |
total_vat | number | Yes | Total VAT amount |
amount_rounding | number | Yes | Rounding adjustment |
Customer Properties
| Property | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Customer's full name |
customer_number | string | No | Customer's reference number |
id_number | string | Yes | Personal ID or organization number |
is_person | boolean | Yes | Whether the customer is an individual |
address | object | Yes | Customer's address information |
mobile_number | string | No | Contact phone number |
email | string | No | Contact email address |
Address Properties
| Property | Type | Required | Description |
|---|---|---|---|
address_line_1 | string | Yes | Primary address line |
zip_code | string | Yes | Postal code |
city | string | Yes | City name |
Matrix Item Properties
| Property | Type | Required | Description |
|---|---|---|---|
article_number | string | No | Article identifier |
article_description | string | Yes | Description of the item |
unit_price | number | Yes | Price per unit |
number_of_units | number | No | Quantity of items |
total_price_excluding_vat | number | Yes | Total amount before VAT |
unit_vat_percent | string | No | VAT percentage (e.g. "25%")* |
Print Document Properties
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Document ID |
filename | string | Yes | Name of the file |
content_type | string | Yes | MIME type of the file |
size | number | Yes | File size in bytes |
*) For complete list of values and details, please see Invoice
